<?php
/*------------------------------------------------------------------------
# mod_sp_simple_map - Google Map module for Joomla by JoomShaper.com
# ------------------------------------------------------------------------
# author    JoomShaper http://www.joomshaper.com
# copyright Copyright (C) 2010 - 2011 JoomShaper.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomshaper.com - http://www.joomxpert.com
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<?php if ($lat && $lng) { ?>
	<div id="sp_simple_map<?php echo $uniqid ?>">
		<script type="text/javascript">
		  var map;
		  function initialize() {
			var myOptions = {
			  zoom: <?php echo $zoom ?>,
			  center: new google.maps.LatLng(<?php echo $lat ?>, <?php echo $lng ?>),
			  mapTypeId: google.maps.MapTypeId.<?php echo $map_type ?>
			};
			map = new google.maps.Map(document.getElementById('sp_simple_map_canvas'),
				myOptions);
		  }
		  google.maps.event.addDomListener(window, 'load', initialize);
		</script>
		<div id="sp_simple_map_canvas"></div>
	</div>
<?php } else { ?>
	<p>Please provide the Latitudes and Longitudes value.</p>
<?php } ?>	
